Bug 517893 - [QLogic 5.5 bug] qlge - fix hangs and read perfromance
Summary: [QLogic 5.5 bug] qlge - fix hangs and read perfromance
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel
Version: 5.5
Hardware: All
OS: Linux
urgent
high
Target Milestone: rc
: 5.5
Assignee: Tom Coughlan
QA Contact: Red Hat Kernel QE team
URL:
Whiteboard:
: 516051 (view as bug list)
Depends On:
Blocks: 499522 519783 533941
TreeView+ depends on / blocked
 
Reported: 2009-08-17 17:51 UTC by Marcus Barrow
Modified: 2018-10-27 11:16 UTC (History)
15 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-03-30 06:51:07 UTC


Attachments (Terms of Use)
qlge read perf and reboot hangs (38.97 KB, patch)
2009-08-19 02:01 UTC, Marcus Barrow
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2010:0178 normal SHIPPED_LIVE Important: Red Hat Enterprise Linux 5.5 kernel security and bug fix update 2010-03-29 12:18:21 UTC
IBM Linux Technology Center 55587 None None None Never

Description Marcus Barrow 2009-08-17 17:51:14 UTC
Customers have noted a performance issue with reads on the QLGE driver for PPC machines.

Development and testing of a patch is underway.

Comment 1 Marcus Barrow 2009-08-18 22:18:42 UTC
*** Bug 516051 has been marked as a duplicate of this bug. ***

Comment 2 Marcus Barrow 2009-08-19 02:01:58 UTC
Created attachment 357863 [details]
qlge read perf and reboot hangs

Comment 4 Richard A Lary 2009-08-20 22:22:35 UTC
IBM requests Red Hat consider inclusion of this patch for RHEL5.4 z-stream release due to significant read performance improvement on IBM HV4 PowerPc platforms.

With the current 1.00.00.20 qlge driver read performance is 4.23Gbps, with this patch applied, read performance increases to 7.62 Gbps, an 80% increase.

Testing was done using 4 netperf sessions running TCP_STREAM using a 64K message size with a 256K socket buffer size.

Comment 6 Don Zickus 2009-09-04 18:46:18 UTC
in kernel-2.6.18-165.el5
You can download this test kernel from http://people.redhat.com/dzickus/el5

Please do NOT transition this bugzilla state to VERIFIED until our QE team
has sent specific instructions indicating when to do so.  However feel free
to provide a comment indicating that this fix has been verified.

Comment 10 Richard A Lary 2009-09-28 15:31:48 UTC
Verified this patch is in -165 kernel and resolves the hang and performance issues.

Comment 14 IBM Bug Proxy 2009-11-17 17:02:25 UTC
------- Comment From sharyath@in.ibm.com 2009-11-17 11:55 EDT-------
I am not sure why the Red Hat bugzilla information or not mirrored to this bugzilla.
The patch is tested and found to fix the performance issue
Moreover the patch is included in 5.4 kernel-2.6.18-165.el5 as requested by the IBM team
So accordingly closing this bug
Please do reopen in case further investigation is required

Comment 17 IBM Bug Proxy 2010-01-26 19:40:59 UTC
------- Comment From lxie@us.ibm.com 2010-01-26 14:36 EDT-------
Luciano, Richard,

Can you guys confirm if the rhel5.5 Alpha has fixed this bug?

Thanks,

Linda

Comment 18 IBM Bug Proxy 2010-01-28 17:50:53 UTC
------- Comment From lnx1138@linux.vnet.ibm.com 2010-01-28 12:42 EDT-------
Hi Linda, I believe Breno can test and confirm if it is fixed in the 5.5 Alpha.

Comment 19 IBM Bug Proxy 2010-01-28 21:11:30 UTC
------- Comment From rlary@us.ibm.com 2010-01-28 16:04 EDT-------
(In reply to comment #12)
> Hi Linda, I believe Breno can test and confirm if it is fixed in the 5.5 Alpha.

Testing on RHEL5.5 alpha is blocked by Bug 59338  -  RIT397463: manual install exited abnormally as loader received SIGSEGV

Comment 20 IBM Bug Proxy 2010-02-09 16:02:20 UTC
------- Comment From lxie@us.ibm.com 2010-02-09 10:52 EDT-------
(In reply to comment #13)
> (In reply to comment #12)
> > Hi Linda, I believe Breno can test and confirm if it is fixed in the 5.5 Alpha.
>
> Testing on RHEL5.5 alpha is blocked by Bug 59338  -  RIT397463: manual install
> exited abnormally as loader received SIGSEGV

the latest drop, beta  which was released yesterday,  has a fix for 59338.

Comment 21 IBM Bug Proxy 2010-02-16 07:50:42 UTC
------- Comment From lxie@us.ibm.com 2010-02-16 02:43 EDT-------
(In reply to comment #13)
> (In reply to comment #12)
> > Hi Linda, I believe Breno can test and confirm if it is fixed in the 5.5 Alpha.
>
> Testing on RHEL5.5 alpha is blocked by Bug 59338  -  RIT397463: manual install
> exited abnormally as loader received SIGSEGV

Richard, Bug 59338 was verified with beta, it's closed. Can you please test beta and close this bug if it's fixed?

Thank you very much for your support.

- Linda

Comment 22 IBM Bug Proxy 2010-02-24 16:32:22 UTC
------- Comment From leitao@linux.vnet.ibm.com 2010-02-24 11:20 EDT-------
I just tested this on Snap1 and the performance seems to be very fine, although I didn't test with Jumbo frames yet.

I will consider this bug as closed for now. As soon as I test using jumbo frames and if I face any issue, I will reopen this bug.

Thanks,
Breno

Comment 24 errata-xmlrpc 2010-03-30 06:51:07 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2010-0178.html


Note You need to log in before you can comment on or make changes to this bug.